<ui:composition
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"

        xmlns:p="http://primefaces.org/ui"
        xmlns:x="http://java.sun.com/jsf/html"
        xmlns:f="http://xmlns.jcp.org/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
        template="../../resources/templates/tfjadefault/template.xhtml">


    <style>
        div[id="form:growl_container"] > div {
            background-color: red !important;
        }
        div[id="form:growl_container"] > div{
            background-color: green !important;
        }
    </style>
    <ui:define name="content">

        <h:form id="form">
            <p:growl id="growl" showDetail="true" sticky="true"  globalOnly="true"/>
            <p:panel id="pnlFields">
                <p:panelGrid>

                    <div align="center" style="font-size: xx-large;color:#0D47A1">
                        Módulo de Administración Nacional
                    </div>
                    <p:confirmDialog global="true" showEffect="fade" hideEffect="fade" header="¿ El inicio de sesión no existe, desea que se genere ?"
                                     widgetVar="cdLogin">
                        <p:commandButton value="Si" onclick="rmssLogin()"/>
                        <p:commandButton value="No" onclick="PF('cdLogin').hide();"/>
                    </p:confirmDialog>

                    <p:confirmDialog global="true" showEffect="fade" hideEffect="fade" header="IMPORTANTE: ¿ El inicio de sesión y usuario no existe, desea que se genere ?"
                                     widgetVar="cdLoginPass">
                        <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" onclick="rmssLoginPass()"/>
                        <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close"
                                         onclick="PF('cdLoginPass').hide();"/>
                    </p:confirmDialog>


                    <p:confirmDialog global="true" showEffect="fade" hideEffect="fade" header="IMPORTANTE: ¿ El usuario no existe, desea que se genere ?"
                                     widgetVar="cdUser">
                        <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" onclick="rmssUser()"/>
                        <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close"
                                         onclick="PF('cdUser').hide();"/>
                    </p:confirmDialog>




<!--<p:remoteCommand action="#{searchMB.confirmUserCreation}" autoRun="false" id="remoteComandSaveId" name="rms" onstart="alert('start');" onerror="alert('error');" onsuccess="alert('success');"/> -->

                    <p:remoteCommand action="#{searchMB.createUserChangePass}" autoRun="false" id="rmSaveIdUser" name="rmssUser" update="@form"/>

                    <p:remoteCommand action="#{searchMB.createLoginChangePass}" autoRun="false" id="rmSaveIdLogin" name="rmssLogin" update="@form"/>

                    <p:remoteCommand action="#{searchMB.createLoginUserChangePass}" autoRun="false" id="rmSaveIdLoginPass" name="rmssLoginPass" update="@form"/>


                    <label id="j_idt32" class="ui-outputlabel ui-widget" style="font-weight: bold; font-size: 18px;">Cambio de Contraseñas SICSEJ</label>

                    <!--
                    <p:row>
                        <p:column colspan="2">
                            <h:outputLabel value="MÓDULO DE ADMINISTRACIÓN NACIONAL" />
                        </p:column>
                    </p:row>
                    -->

                    <!--   Combo Base de Datos -->

                    <!--
                    <p:row>
                        <p:column colspan="2">
                            <p:selectOneMenu value="#{loginMB.bd}" >
                                 <f:selectItem itemLabel="Seleccione"/>
                                <f:selectItems value="#{loginMB.bd}"/>
                                <h:outputText value="#{loginMB.bd}"

                            </p:selectOneMenu>
                        </p:column>
                    </p:row>
                    -->

                    <p:row>
                        <p:column>
                            <h:outputText value="Usuario SICSEJ: " />

                        </p:column>
                        <p:column>
                            <p:inputText id="usrSICSEJ" value="#{searchMB.usrSICSEJ}" required="true" />

                        </p:column>
                    </p:row>
                    <p:row>
                        <p:column>

                            <h:outputText value="Contraseña Nueva: " />

                        </p:column>
                        <p:column>
                            <p:password id="passUsrNew" value="#{searchMB.passUsrNew}" />

                        </p:column>
                    </p:row>


                    <!--
                    <h:outputText value="Basic: " />
                    <p:password value="#{utilisateur.password}" redisplay="true" />
                    -->

                    <f:facet name="footer">
                        <p:row>
                            <p:column colspan="2">
                                <p:commandButton value="CAMBIAR CONTRASEÑA" update="growl" action="#{searchMB.cnSearch}"/>
                            </p:column>
                        </p:row>

                    </f:facet>
                </p:panelGrid>

            </p:panel>

        </h:form>




        <p:outputLabel value="Ver. 0.7 ALFA" />
    </ui:define>




</ui:composition>